﻿@model StarterProjectV2.ViewModels.OwnerRoomBookingView
@{
    ViewBag.Title = "BookingNotPermitted";
    var noOfDaysRemaining = @Model.NoOfDaysCanStay - @Model.NoOfDaySpent;
}
@{
    var username = Session[SessionKeys.OWNERNAME];
}
<div class="card">
    <div class="card-header">
        <h5 class="text-center" style="color: #296679">Dear @username, Your request <span style="color: red">was not processed</span>.</h5>
        <h4 class="text-center" style="color: #296679">Reason: <span style="color: red">@Model.ErrorMessage</span></h4>
        @*<h3>From now on, you have to make a booking manually as other hotel visitors.</h3>*@
    </div>
    <div class="card-body">
        @if(Model.isOwner)
        {
            <h4 class="text-center" style="color: indianred">No. of Days You Can Stay at hotel in a year: @Model.NoOfDaysCanStay</h4>
            <h4 class="text-center" style="color: indianred">No. of Days You Can Stay at hotel in a month: @Model.NoOfDaysCanStayMonthly</h4>
            <h4 class="text-center" style="color: indianred">No. of Days Spent at hotel: @Model.NoOfDaySpent</h4>
            if (noOfDaysRemaining < 0)
            {
                var noOfDaysExtra = noOfDaysRemaining * -1;
                <h4 class="text-center" style="color: indianred">You have stayed extra @noOfDaysExtra days at the hotel.</h4>
            }
            else
            {
                <h4 class="text-center" style="color: indianred">No. of Days Remaining at hotel: @noOfDaysRemaining</h4>
            }
        }
    </div>
    <div class="card-footer">
        <div align="center">
            <button class="btn btn-info" onclick="window.history.back(1)">Go Back</button>
        </div>
    </div>
</div>
